﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace HiLoWinRTSample
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
            FinancialDataViewModel view = new FinancialDataViewModel();
            HiLoSeries bloodPressureSeries = new HiLoSeries();

            bloodPressureSeries.Stroke = new SolidColorBrush(Colors.Red);
            bloodPressureSeries.StrokeThickness = 5;

            bloodPressureSeries.XBindingPath = "DoubleTime";
            bloodPressureSeries.ItemsSource = view.FinancialDatas;
            bloodPressureSeries.EnableAnimation = true;

            bloodPressureSeries.IsSortData = true;
            bloodPressureSeries.SortBy = SortingAxis.X;

            bloodPressureSeries.ShowTooltip = true;

            bloodPressureSeries.High = "High";
            bloodPressureSeries.Low = "Low";

            HistoryChart.Series.Add(bloodPressureSeries);

        }

        /// <summary>
        /// Invoked when this page is about to be displayed in a Frame.
        /// </summary>
        /// <param name="e">Event data that describes how this page was reached.  The Parameter
        /// property is typically used to configure the page.</param>
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
        }
    }
    public class FinancialDataViewModel
    {

        public FinancialDataViewModel()
        {

            FinancialDatas = new ObservableCollection<FinancialData>();

            FinancialDatas.Add(new FinancialData(new DateTime(2011, 7, 19),10, 596.14, 604.68, 595.53, 602.55));

            FinancialDatas.Add(new FinancialData(new DateTime(2011, 7, 20),11, 602.18, 602.83, 595.35, 595.35));
            FinancialDatas.Add(new FinancialData(new DateTime(2011, 7, 21),12, 594.03, 608.06, 594.01, 606.99));
            FinancialDatas.Add(new FinancialData(new DateTime(2011, 7, 22),13, 605.39, 619.5, 604.27, 618.23));
            FinancialDatas.Add(new FinancialData(new DateTime(2011, 7, 23),14, 594.03, 608.06, 594.01, 606.99));
            FinancialDatas.Add(new FinancialData(new DateTime(2011, 7, 24),15, 605.39, 619.5, 604.27, 618.23));
            FinancialDatas.Add(new FinancialData(new DateTime(2011, 7, 25),16, 613.36, 625.41, 613, 618.98));

        }



        public ObservableCollection<FinancialData> FinancialDatas
        {

            get;

            set;

        }



    }



    public class FinancialData
    {

        public FinancialData(DateTime time,double doubleTime, double open, double high, double low, double close)
        {

            Time = time;

            DoubleTime = doubleTime;

            Open = open;

            High = high;

            Low = low;

            Close = close;

        }



        public DateTime Time
        {

            get;

            set;

        }

        public double DoubleTime { get; set; }



        public double High
        {

            get;

            set;

        }



        public double Low
        {

            get;

            set;

        }



        public double Open
        {

            get;

            set;

        }



        public double Close
        {

            get;

            set;

        }

    }

}
